/* OGMRip - A DVD Encoder for GNOME
 * Copyright (C) 2004-2005 Olivier Rolland <billl@users.sf.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_CROP_H__
#define __OGMRIP_CROP_H__

#include <gtk/gtk.h>
#include <ogmdvd.h>

G_BEGIN_DECLS

GtkWidget * ogmrip_crop_new              (OGMDvdVideoStream *vstream,
                                          guint             left,
                                          guint             top,
                                          guint             right,
                                          guint             bottom);
void        ogmrip_crop_get_crop         (GtkWidget         *dialog, 
                                          guint             *left, 
                                          guint             *top, 
                                          guint             *right, 
                                          guint             *bottom);

G_END_DECLS

#endif /* __OGMRIP_CROP_H__ */

